Bug 1800089 - sigul: FTBFS in Fedora rawhide/f32
Summary: sigul: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sigul
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:58 UTC by Fedora Release Engineering
Modified: 2020-06-09 11:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-09 11:24:17 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.20 KB, text/plain)
2020-02-06 19:58 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 19:58 UTC, Fedora Release Engineering
no flags Details
state.log (821 bytes, text/plain)
2020-02-06 19:59 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:58:55 UTC
sigul failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41322113


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix sigul at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
sigul will be orphaned. Before branching of Fedora 33,
sigul will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:58:57 UTC
Created attachment 1660932 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 19:58:59 UTC
Created attachment 1660933 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:59:00 UTC
Created attachment 1660934 [details]
state.log

Comment 4 Patrick Uiterwijk 2020-02-06 20:12:55 UTC
This has been fixed upstream, and I hope to release that and rebase Fedora soon.

Comment 5 Ben Cotton 2020-02-11 16:44:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 6 Patrick Uiterwijk 2020-06-09 11:24:17 UTC
This is now fixed in Sigul v1.0, of which Alpha 1 is now released and built in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.